This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 855928

Summary: remove Seam from master branch
Product: [Other] RHQ Project Reporter: John Mazzitelli <mazz>
Component: Core UIAssignee: John Mazzitelli <mazz>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 4.5CC: hrupp
Target Milestone: ---   
Target Release: RHQ 4.6   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-03 10:45:08 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description John Mazzitelli 2012-09-10 11:59:24 EDT
We removed Seam from the AS7 branch (the work where we are porting RHQ to run in AS7).

We might want to do this in the master branch so the next RHQ version doesn't have Seam.

FYI: here's the git commits used to remove Seam from the AS7 branch:

* bc20c0d433f4e1e8bbd58d6d48d0b8e44408f1c6 (main commit that removes Seam)
* f6da9eb8f397602997c1a90f7565dadb770873bf (fixes the file upload)

As for the areas of risk, I can give you very specific pages that are at risk. See my previous email sent to rhq-devel mailing list (which I include below) for the list of pages and their actual URLs:

----- Forwarded Message -----
From: "John Mazzitelli" <mazz@redhat.com>
To: "rhq-devel" <rhq-devel@lists.fedorahosted.org>
Sent: Wednesday, August 29, 2012 5:15:23 PM
Subject: Re: RHQ usage of SEAM and AS7 integration

I've researched all the non-GWT portions of the UI as I've found them. Note that I looked at all of their .xhtml pages and examined the imports of all the UIBeans used by them. Nothing appears to even be importing jboss.seam classes. So it might be that the pages we currently DO use (i.e. those not yet GWT-ified) don't even use seam at all. I'm going to keep looking to confirm this, but if true, it means we might be able to just rip out Seam and things will "just work" as before since we never used Seam to begin with in these legacy pages that we still need.

In any event, this was a good exercise for another reason - below is the list of all non-GWT pages that, when ported to GWT, will mean we can blow away portal war entirely. This will give us a good idea of the amount of work left to fully gwt-ified RHQ.

So, without further ado, here's the infamous list of all JSF/struts pages that are still used in RHQ (if you think I missed one, let me know):

========== HAAC ================

* Server list: http://localhost:7080/coregui/#Administration/Topology/Servers
** http://localhost:7080/rhq/ha/listServers-plain.xhtml?nomenu=true

* Individual Server item view:
** http://localhost:7080/rhq/ha/viewServer-plain.xhtml?mode=view&serverId=10001

* Edit Individual Server item:
** http://localhost:7080/rhq/ha/viewServer-plain.xhtml?mode=edit&serverId=10001&conversationId=16

* Agent list: http://localhost:7080/coregui/#Administration/Topology/Agents
** http://localhost:7080/rhq/ha/listAgents-plain.xhtml?nomenu=true

* Individual Agent item view:
** http://localhost:7080/rhq/ha/viewAgent-plain.xhtml?mode=view&serverId=10011&agentId=10001

* Affinity Group list: http://localhost:7080/coregui/#Administration/Topology/AffinityGroups
** http://localhost:7080/rhq/ha/listAffinityGroups-plain.xhtml?nomenu=true

* Individual Affinity Group item view:
** http://localhost:7080/rhq/ha/viewAffinityGroup-plain.xhtml?mode=view&affinityGroupId=10001

* Edit Affinity Group item:
** http://localhost:7080/rhq/ha/viewAffinityGroup-plain.xhtml?mode=edit&affinityGroupId=10001&conversationId=33

* Add Agent to Affinity Group
** http://localhost:7080/rhq/ha/affinityGroupAgents-plain.xhtml?affinityGroupId=10001&mode=view&conversationId=41

* Add Server to Affinity Group
** http://localhost:7080/rhq/ha/affinityGroupServers-plain.xhtml?affinityGroupId=10001&mode=view&conversationId=43

* Partition Events list: http://localhost:7080/coregui/#Administration/Topology/PartitionEvents
** http://localhost:7080/rhq/ha/listPartitionEvents-plain.xhtml?nomenu=true

* View individual partition event
** http://localhost:7080/rhq/ha/viewPartitionEvent-plain.xhtml?eventId=10011

=========== CONTENT SOURCES/REPOS ============

* View Content Sources List: http://localhost:7080/coregui/#Administration/Content/ContentSources
** http://localhost:7080/rhq/content/listContentProviders-plain.xhtml

* Create new Content Source
** http://localhost:7080/rhq/content/createContentProvider-plain.xhtml?mode=new&conversationId=53

* View Individual Content Source
** http://localhost:7080/rhq/content/contentProvider-plain.xhtml?mode=view&id=10001

* Edit Individual Content Source
** http://localhost:7080/rhq/content/contentProvider-plain.xhtml?mode=edit&id=10001&conversationId=78

* View Repo list: http://localhost:7080/coregui/#Administration/Content/Repositories
** http://localhost:7080/rhq/content/listRepos-plain.xhtml

* Create new repo
** http://localhost:7080/rhq/content/createRepo-plain.xhtml?conversationId=105

* View individual repo
** http://localhost:7080/rhq/content/repo-plain.xhtml?mode=view&id=10001

* Edit individual repo
** http://localhost:7080/rhq/content/repo-plain.xhtml?mode=edit&id=10001&conversationId=128

* Associate Repository with content source
** http://localhost:7080/rhq/content/repoAssociations-plain.xhtml?id=10001&conversationId=155

* Subscribe Resources to Repository
** http://localhost:7080/rhq/content/repoSubscriptions-plain.xhtml?id=10001&conversationId=180

* Import Repository
** http://localhost:7080/rhq/content/importRepos-plain.xhtml?conversationId=218

========== RESOURCE CONTENT =============

* Content > Deployed Tab: http://localhost:7080/coregui/#Resource/10001/Content/Deployed
** http://localhost:7080/rhq/resource/content/view-plain.xhtml?id=10001

* Content > New Tab: http://localhost:7080/coregui/#Resource/10001/Content/New
** http://localhost:7080/rhq/resource/content/deploy-plain.xhtml?id=10001
** Content > New | Upload New Package
*** http://localhost:7080/rhq/resource/content/create-plain.xhtml?id=10001&conversationId=251

* Content > Subscriptions Tab: http://localhost:7080/coregui/#Resource/10001/Content/Subscriptions
** http://localhost:7080/rhq/resource/content/subscription-plain.xhtml?id=10001

* Content > History Tab: http://localhost:7080/coregui/#Resource/10001/Content/History
** http://localhost:7080/rhq/resource/content/history-plain.xhtml?id=10001

========== RESOURCE GRAPHS =============

* Summary > Timeline Tab: http://localhost:7080/coregui/#Resource/10001/Summary/Timeline
** http://localhost:7080/resource/common/monitor/events/EventsView.jsp?id=10001

* Monitoring > Graphs Tab: http://localhost:7080/coregui/#Resource/10001/Monitoring/Graphs
** http://localhost:7080/rhq/resource/monitor/graphs-plain.xhtml?id=10001

* Metric Chart (Monitoring>Graphs | Chart Selected Metrics button)
** http://localhost:7080/resource/common/monitor/Visibility.do?mode=chartMultiMetricSingleResource&id=10001&m=10036
** If you select multiple metrics, you see multiple graphs rendered


========== AUTO-GROUP GRAPHS =============

* Compare Metrics - AutoGroup Monitoring > Tables (select multiple resources and click "Compare Metrics")
** http://localhost:7080/coregui/#Resource/AutoGroup/10011/Monitoring/Tables
** http://localhost:7080/resource/common/monitor/Visibility.do?mode=compareMetrics&&groupId=10011&r=10027&r=10191

* Chart Group Metric (AutoGroup Monitoring > Tables (select a metric row at the top))
** http://localhost:7080/resource/common/monitor/Visibility.do?mode=chartSingleMetricMultiResource&groupId=10011&m=10195

* Monitoring > Graphs: http://localhost:7080/coregui/#Resource/AutoGroup/10011/Monitoring/Graphs
** http://localhost:7080/rhq/group/monitor/graphs-plain.xhtml?groupId=10011&parent=10001&type=10018&groupType=auto

========== COMPATIBLE GROUP GRAPHS =============

* Compare Metrics - Monitoring > Tables (select multiple resources and click "Compare Metrics")
** http://localhost:7080/coregui/#ResourceGroup/10021/Monitoring/Tables
** http://localhost:7080/resource/common/monitor/Visibility.do?mode=compareMetrics&&groupId=10021&r=10027&r=10191

* Chart Group Metric (Monitoring > Tables (select a metric row at the top))
** http://localhost:7080/resource/common/monitor/Visibility.do?mode=chartSingleMetricMultiResource&groupId=10021&m=10197

* Monitoring > Graphs: http://localhost:7080/coregui/#ResourceGroup/10021/Monitoring/Graphs
** http://localhost:7080/rhq/group/monitor/graphs-plain.xhtml?groupId=10021
Comment 1 John Mazzitelli 2012-10-17 11:47:50 EDT
with some minor conflicts, those two commits were cherry picked over to the master branch. Master now has seam fully removed.

git commits to master that correspond to the two git commits cherry-picked are:

b5dee27580731afbd0bf3ec84b4795e98f7021c9
cb13a99a4d25f4693c0db0280f46bdd9cf36afa9
Comment 2 Mike Foley 2012-10-18 10:16:41 EDT
QE automation detected no errors with this commit 

https://mercury.lab.eng.pnq.redhat.com:8080/re/pages/reportsAllTestSuites.jsp?action=local_start_time
Comment 3 Heiko W. Rupp 2013-09-03 10:45:08 EDT
Bulk closing of issues in old RHQ releases that are in production for a while now.

Please open a new issue when running into an issue.